function onBegin()
    disableRetry()
    disableMovement()
    walk(56, false, 0.7, false)
    wait(1)
    setCameraOffset (0.8,-1.5)
    miniTextbox("mic_dialog_1")
    wait(1)
    enableMovement()
    enableRetry()
end


function onEnd(level, wasSkipped)
    if wasSkipped then
        setCameraOffset (0.8,-1.5)
        enableMovement()
        enableRetry()
    end
end